Subject: Re: [PATCH v2 0/4] VPHN parsing fixes

From: Greg Kurz <[email-masked]>
Date: Tue, 3 Feb 2015 08:46:40 +0100

On Tue, 03 Feb 2015 13:47:35 +1100
Michael Ellerman <[email-masked]> wrote:

> On Thu, 2015-01-29 at 19:03 +0100, Greg Kurz wrote:
> > On Wed, 17 Dec 2014 10:40:46 +0100
> > Greg Kurz <[email-masked]> wrote:
> > > Hi,
> > > 
> > > This series addresses remarks from Ben and Michael (see individual patches).
> > > The most notable changes are:
> > > - the parsing code being pull out into a separate file in patch 3/4. This
> > >   allows to write userland tests like the one below.
> > > - a full rewrite of the parsing logic in patch 4/4
> > > 
> > 
> > Ping ?
> 
> Sorry, lots of patches needing review.
> 

Heh, no problem. :) Since this isn't bugfix, I can even repost later, when
the review pressure is lower.

> This looks pretty good at a glance, but did you actually write a userspace test
> for it? If so please send it. I'm happy to rework it into something that can go
> in selftests.
> 

Yes, I wrote the premise of a test program. You can find it in the cover mail of
this series:

https://lists.ozlabs.org/pipermail/linuxppc-dev/2014-December/123601.html

I'll have a look at selftests.

> cheers

Thanks.

--
Greg